
#
# The properties in this file define the configuration of Apache Karaf's JMX Management
#

#
# Port number for RMI registry connection
#
# OPENNMS: Change RMI registry port so that it doesn't conflict with OpenNMS or Minion
rmiRegistryPort = 1399

#
# Host for RMI registry
#
rmiRegistryHost = 127.0.0.1

#
# Port number for RMI server connection
#
# OPENNMS: Change RMI server port so that it doesn't conflict with OpenNMS or Minion
rmiServerPort = 46444

#
# Host for RMI server
#
rmiServerHost = 127.0.0.1

#
# Name of the JAAS realm used for authentication
#
jmxRealm = karaf

#
# The service URL for the JMXConnectorServer
#
serviceUrl = service:jmx:rmi://${rmiServerHost}:${rmiServerPort}/jndi/rmi://${rmiRegistryHost}:${rmiRegistryPort}/karaf-${karaf.name}

#
# Whether any threads started for the JMXConnectorServer should be started as daemon threads
#
daemon = true

#
# Whether the JMXConnectorServer should be started in a separate thread
#
threaded = true

#
# The ObjectName used to register the JMXConnectorServer
#
objectName = connector:name=rmi

#
# Timeout to lookup for the keystore in case of SSL authentication usage
#
#keyStoreAvailabilityTimeout = 5000

#
# The type of authentication
#
#authenticatorType = password

#
# Enable or not SSL/TLS
#
#secured = false

#
# Secure algorithm to use
#
#secureAlgorithm = default

#
# Secure protocol to use
#
#secureProtocol = TLS

#
# Keystore to use for secure mode
#
#keyStore = karaf.ks

#
# Alias of the key to use in the keystore
#
#keyAlias = karaf

#
# Truststore to use for secure mode
#
#trustStore = karaf.ts

#
# Create the JMX RMI registry
#
#createRmiRegistry = true

#
# Locate the JMX RMI registry
#
#locateRmiRegistry = true

#
# Locate an existing MBean server if possible (usefull when Karaf is embedded)
#
#locateExistingMBeanServerIfPossible = true

